Skip to content
Fontsource Logo
Documentation

Version

The Version endpoint provides NPM version information for each package.

HTTP Request

  • GET https://api.fontsource.org/v1/version/{id}

Response

The API response for the Version endpoint is a JSON object that provides NPM version information for each package.

Attributes

Returns an object with:

AttributeTypeDescription
lateststringLatest static NPM version
staticstring[]Static NPM versions sorted newest to oldest
latestVariableOptional<string>Latest variable NPM version
variableOptional<string[]>Variable NPM versions sorted newest to oldest

Response example

{
  "latest": "5.0.4",
  "static": [
    "5.0.4",
    "5.0.3",
    "5.0.2",
    "5.0.1",
    "5.0.0",
    "4.2.2",
    "4.2.1",
    "4.2.0",
    "4.1.1",
    "4.1.0",
    "4.0.1",
    "4.0.0"
  ],
  "latestVariable": "5.0.7",
  "variable": [
    "5.0.7",
    "5.0.6",
    "5.0.5",
    "5.0.4",
    "5.0.3",
    "5.0.2",
    "5.0.1",
    "5.0.0"
  ]
}
json

Example

  • GET https://api.fontsource.org/v1/version/abel
  • GET https://api.fontsource.org/v1/version/open-sans